Page MenuHomePhabricator

Define and implement a common push notification architecture
Open, MediumPublic

Description

Design and implement a push notification service which will allow the WMF to send push notifications to browsers and mobile devices via vendor provided APIs.

Technical plan document (2017): https://docs.google.com/document/d/1nVW3XC7PO3XDKRz72fCFDoZ-CA_lrhzNekUldPn5wFA

Separate, but worth following: T128351: RfC: Notifications in core

Event Timeline

Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptSep 19 2016, 2:30 PM
Jdlrobson added a subscriber: ovasileva.

@ovasileva I'm retagging this and putting into tracking. It's something we're likely to want to track if we ever want to add push notifications anywhere in the reading stack (which looks like iOS may want to do soon off the back of trending)

Jdlrobson removed a project: MobileFrontend.
LGoto closed this task as Declined.Apr 3 2018, 10:50 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.

Mholloway reopened this task as Open.Apr 3 2018, 11:10 PM

This task is about push notifications generally across the Readers platforms, and should be kept open.

Did discussions about doing this in echo first get anywhere?

dr0ptp4kt updated the task description. (Show Details)Apr 4 2018, 12:14 PM
dr0ptp4kt added subscribers: Catrope, jmatazzoni.

I can't speak to all of the particulars, but I've added Roan and Joe to this task. Roan and Corey have been in discussion about technical architecture matters concerning push architecture as I understand. Web push is presently part of the FY 18-19 plan.

Jon, are you referring to the notion of something like scheduled jobs with Echo out to the message brokers (e.g., Mozilla, Apple, Google) or something to that effect?

Yes, but not specific to Echo, just with Echo as a consumer! An extensible Web push infrastructure would be incredible and open up a lot of possibilities to both WMF and volunteers. Exciting!

Mholloway updated the task description. (Show Details)Sep 10 2019, 9:41 PM
Mholloway updated the task description. (Show Details)Sep 11 2019, 1:01 PM
Mholloway updated the task description. (Show Details)Sep 11 2019, 1:28 PM